.row.justify-content-center
  .col.col-md-6
    = form_with url: join_path, method: :post do |form|
      .form-group
        = form.label :username, "Username:"
        = form.text_field :username, value: params[:username], class: 'form-control', required: true
        - if @errors&.has_key?(:username)
          %small.form-text.text-muted= @errors.full_messages_for(:username).join("\n")
      .form-group
        = form.label :email, "Email:"
        = form.email_field :email, value: params[:email], class: 'form-control', required: true
        - if @errors&.has_key?(:email)
          %small.form-text.text-muted= @errors.full_messages_for(:email).join("\n")
      .form-group
        = form.label :password, "Password:"
        = form.password_field :password, class: 'form-control', required: true
        - if @errors&.has_key?(:password)
          %small.form-text.text-muted= @errors.full_messages_for(:password).join("\n")
      .form-group
        = form.label :password_confirmation, "Password confirmation:"
        = form.password_field :password_confirmation, class: 'form-control', required: true
        - if @errors&.has_key?(:password_confirmation)
          %small.form-text.text-muted= @errors.full_messages_for(:password_confirmation).join("\n")
      = form.submit "Submit", class: 'btn btn-primary'
